# Google Image Search

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1781994045928869888) to try this widget and copy the Pro Config template.

## Usage

Input query and num\_results, the returned results contain the information about the images relatedto the query

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>query</td><td><code>string</code></td><td>The search query string that specifies what the search should be about.</td><td></td><td>true</td></tr><tr><td>num_results</td><td><code>integer</code></td><td>The number of search results to return.</td><td>10</td><td>false</td></tr></tbody></table>

**Output Parameters**

| Name            | Type    | Description                       | File Type |
| --------------- | ------- | --------------------------------- | --------- |
| search\_results | `array` | The result of google image search |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
   "results": "<the example results of this widget>"
}
```

{% endcode %}
{% endtab %}

{% tab title="fail" %}
{% code fullWidth="false" %}

```json
{
   "results": "<the example results of this widget>"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/api-reference/widgets/15-google-image-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
